### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
FloatingRateCoupon Class Reference

base floating-rate coupon class More...

`#include <ql/cashflows/floatingratecoupon.hpp>`

Inheritance diagram for FloatingRateCoupon:
[legend]

List of all members.

## Public Member Functions

| FloatingRateCoupon (const Date &paymentDate, Real nominal, const Date &startDate, const Date &endDate, Natural fixingDays, const boost::shared_ptr< InterestRateIndex > &index, Real gearing=1.0, Spread spread=0.0, const Date &refPeriodStart=Date(), const Date &refPeriodEnd=Date(), const DayCounter &dayCounter=DayCounter(), bool isInArrears=false)
void | setPricer (const boost::shared_ptr< FloatingRateCouponPricer > &)
boost::shared_ptr < FloatingRateCouponPricer > | pricer () const
CashFlow interface
Real | amount () const
| returns the amount of the cash flow
Coupon interface
Rate | rate () const
| accrued rate
Real | price (const Handle< YieldTermStructure > &discountingCurve) const
DayCounter | dayCounter () const
| day counter for accrual calculation
Real | accruedAmount (const Date &) const
| accrued amount at the given date
Inspectors
const boost::shared_ptr < InterestRateIndex > & | index () const
| floating index
Natural | fixingDays () const
| fixing days
virtual Date | fixingDate () const
| fixing date
Real | gearing () const
| index gearing, i.e. multiplicative coefficient for the index
Spread | spread () const
| spread paid over the fixing of the underlying index
virtual Rate | indexFixing () const
| fixing of the underlying index
virtual Rate | convexityAdjustment () const
| convexity adjustment
virtual Rate | adjustedFixing () const
| convexity-adjusted fixing
bool | isInArrears () const
| whether or not the coupon fixes in arrears
Observer interface
void | update ()
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

Rate | convexityAdjustmentImpl (Rate fixing) const
| convexity adjustment for the given index fixing

## Protected Attributes

boost::shared_ptr < InterestRateIndex > | index_
DayCounter | dayCounter_
Natural | fixingDays_
Real | gearing_
Spread | spread_
bool | isInArrears_
boost::shared_ptr < FloatingRateCouponPricer > | pricer_

## Detailed Description

base floating-rate coupon class

## Member Function Documentation

Real amount | ( |  | ) | const`[virtual]`

returns the amount of the cash flow

Note:
  The amount is not discounted, i.e., it is the actual amount paid at the cash flow date.

Implements CashFlow.

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.

Reimplemented in DigitalCoupon, and CappedFlooredCoupon.